Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLDocument.RunElement

    java.lang.Object
      |
      +--javax.swing.text.AbstractDocument.AbstractElement
            |
            +--javax.swing.text.AbstractDocument.LeafElement
                  |
                  +--javax.swing.text.html.HTMLDocument.RunElement

All Implemented Interfaces:
  AttributeSet, Element, MutableAttributeSet, Serializable, TreeNode

Enclosing class:
  HTMLDocument

public class HTMLDocument.RunElement
extends AbstractDocument.LeafElement

An element that represents a chunk of text that has a set of HTML character level attributes assigned to it.

Nested Class Summary

Nested classes inherited from class javax.swing.text.AttributeSet
`AttributeSet.CharacterAttribute, AttributeSet.ColorAttribute, AttributeSet.FontAttribute, AttributeSet.ParagraphAttribute`

Field Summary

Fields inherited from interface javax.swing.text.AttributeSet
`NameAttribute, ResolveAttribute`

Constructor Summary
`HTMLDocument.RunElement(Element parent, AttributeSet a, int offs0, int offs1)` Constructs an element that represents content within the document (has no children).

Method Summary
`String` | `getName()` Gets the name of the element.
`AttributeSet` | `getResolveParent()` Gets the resolving parent.

Methods inherited from class javax.swing.text.AbstractDocument.LeafElement
`children, getAllowsChildren, getElement, getElementCount, getElementIndex, getEndOffset, getStartOffset, isLeaf, toString`

Methods inherited from class javax.swing.text.AbstractDocument.AbstractElement
`addAttribute, addAttributes, containsAttribute, containsAttributes, copyAttributes, dump, finalize, getAttribute, getAttributeCount, getAttributeNames, getAttributes, getChildAt, getChildCount, getDocument, getIndex, getParent, getParentElement, isDefined, isEqual, removeAttribute, removeAttributes, removeAttributes, setResolveParent`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLDocument.RunElement

    public HTMLDocument.RunElement(Element parent,
                                   AttributeSet a,
                                   int offs0,
                                   int offs1)

  Constructs an element that represents content within the document (has no children).

Parameters:
  `parent` - the parent element
  `a` - the element attributes
  `offs0` - the start offset (must be at least 0)
  `offs1` - the end offset (must be at least offs0)

Method Detail

### getName

    public String getName()

  Gets the name of the element.

  Specified by:
    `getName` in interface `Element`
  Overrides:
    `getName` in class `AbstractDocument.LeafElement`
  Returns:
    the name, null if none

### getResolveParent

    public AttributeSet getResolveParent()

  Gets the resolving parent. HTML attributes are not inherited at the model level so we override this to return null.

  Specified by:
    `getResolveParent` in interface `AttributeSet`
  Overrides:
    `getResolveParent` in class `AbstractDocument.AbstractElement`
  Returns:
    null, there are none
  See Also:
    `AttributeSet.getResolveParent()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.